Bug 447136 - chpasswd failed in: "chpasswd: salt.c:175: gensalt: Assertion `salt_size >= 8 && salt_size <= 16' failed"
chpasswd failed in: "chpasswd: salt.c:175: gensalt: Assertion `salt_size >= 8...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 02:33 EDT by Steven Shiau
Modified: 2009-09-19 21:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.1.1-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 06:56:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Shiau 2008-05-18 02:33:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b5) Gecko/2008050509 Firefox/3.0b5

Description of problem:
chpasswd fails in:
chpasswd: salt.c:175: gensalt: Assertion `salt_size >= 8 && salt_size <= 16' failed

Version-Release number of selected component (if applicable):
shadow-utils-4.1.1-1.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1. login as root
2. adduser test
3. echo "test:Aeh4aiHo" | /usr/sbin/chpasswd
4. or 
    echo "test:Zai5is7zet" | /usr/sbin/chpasswd
Always got something like:
chpasswd: salt.c:175: gensalt: Assertion `salt_size >= 8 && salt_size <= 16' failed.
Aborted


Actual Results:
chpasswd: salt.c:175: gensalt: Assertion `salt_size >= 8 && salt_size <= 16' failed.
Aborted


Expected Results:
chpasswd should change password of test without any error.

Additional info:
Comment 1 Fedora Update System 2008-05-20 08:13:42 EDT
shadow-utils-4.1.1-2.fc9 has been submitted as an update for Fedora 9
Comment 2 Fedora Update System 2008-05-21 06:56:22 EDT
shadow-utils-4.1.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2008-07-26 02:06:42 EDT
shadow-utils-4.1.1-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 hgc1118 2009-09-19 21:38:11 EDT
(In reply to comment #1)
> shadow-utils-4.1.1-2.fc9 has been submitted as an update for Fedora 9

Note You need to log in before you can comment on or make changes to this bug.